<?php
/**
 * @package 	Module JQuery Daily Pop
 * @version 	1.3
 * @author 		Yannick Tanguy
 * @copyright 	Copyright (C) 2012 - yannick Tanguy
 * @license 	GNU/GPL http://www.gnu.org/copyleft/gpl.html
 **/

defined( "_JEXEC" ) or die( "Restricted access" );
// Include the syndicate functions only once
require_once dirname(__FILE__).'/helper.php';
jimport( 'joomla.methods' );

// Get parameters
$doc = JFactory::getDocument();
$style	= $params->get( 'styledailypop', 'black' );
$textebouton = $params->get( 'textbutton', 'Close' );
$width	= $params->get( 'width', 800 );
$debugdaily= $params->get( 'debugdaily', 0);
$articleid= $params->get( 'title', '');

//Get IP address
$ipduclient=$_SERVER["REMOTE_ADDR"];

// Today
$moisjour=date('d');

//Yesterday
$hiertmp= time() - ( 24 * 60 * 60);
$hierjour = date('d', $hiertmp);

$repert=getcwd().'/cache/jq-dailypopup/';
// Test root temp dailypopup module directory and create clear index.html
if (!file_exists($repert)) { mkdir ($repert, 0777); }
if (!file_exists($repert.'index.html')) {
	$fpa=fopen($repert.'index.html',"a+");
	fclose($fpa);
}

// Test the day dailypopup module directory
if (!file_exists($repert.$moisjour)) {
	mkdir ($repert.$moisjour, 0777); 
}

if (!file_exists($repert.$moisjour.'/index.html')) {
	$fpb=fopen($repert.$moisjour.'/index.html',"a+");
	fclose($fpb);
}

// Test yesterday dailypopup module directory and delete all files
if (file_exists($repert.'/'.$hierjour)) {
	recursiveDelete($repert.'/'.$hierjour);
}

// Name of de ip File to inclide into day's directory
$fichp=$repert.$moisjour.'/'.$ipduclient;


//Debug Mode
if ($debugdaily==1){
	$ajourdtmp= time();
	$aujourdjour = date('d', $ajourdtmp);
	if (file_exists($repert.'/'.$aujourdjour)) {
		recursiveDelete($repert.'/'.$aujourdjour);
	}
}

if (!file_exists($fichp)) {	
	$db =& JFactory::getDBO();
	// Include Style & Script
	$doc->addStyleSheet( JURI::Root(true).'/modules/mod_jq-dailypop/style/css.css' );
	$doc->addStyleSheet( JURI::Root(true).'/modules/mod_jq-dailypop/style/'.$style.'/css.css' );
	$doc->addScript( JURI::Root(true).'/modules/mod_jq-dailypop/js/js.js' );
	if ($debugdaily==0){
		$fpc=fopen($fichp,"a+");
		fclose($fpc);
	}
	$passpas='1';
	$sql = "SELECT introtext FROM #__content WHERE id = ".intval($articleid);
	$db->setQuery($sql);
	$ArticleComp = $db->loadResult();
	if(!strlen(trim($ArticleComp))){ $ArticleComp = "<div align=\"center\"> --------------- </div>"; }

	//
	$text='<div id="dailyfullscreen"><div class="copyrightyannt"><a href="http://www.yannicktanguy.com" target="_blank">Daily PopUp By YannickTanguy.com</a></div><div id="dailyposition">'.$ArticleComp.'</div><div class="posdailybut"><input type="button" class="dailybutton" align="center" id="closedailyp" value="'.$textebouton.'"><div id="actdaily"></div></div>';
	echo '<div id="dailycomplete">'.$text.'<input type="hidden" id="dailypopupwidth" value="'.$width.'"></div>';
} 
else { $passpas='0'; }

?>